Package twisted :: Package web :: Module vhost :: Class NameVirtualHost

[show private | hide private]
[frames | no frames]

## Class NameVirtualHost

    Collection --+
                 |
       Constrained --+
                     |
      ConfigCollection --+
                         |
                  Resource --+
                             |
                            NameVirtualHost

I am a resource which represents named virtual hosts.

Method Summary
| ``__init__`(self)` Initialize.
| ``addHost`(self, name, resrc)` Add a host to this virtual host.
| ``delEntity`(self, name)` Remove a static reference for 'name'. (inherited from `Resource`)
| ``entityConstraint`(self, entity)` A method that determines whether an entity may be added to me. (inherited from `ConfigCollection`)
| ``getChild`(self, path, request)` Implementation of resource.Resource's getChild method.
| ``getChildForRequest`(self, request)` (internal) Get a child of mine dependant on a particular request. (inherited from `Resource`)
| ``getChildWithDefault`(self, path, request)` Retrieve a static or dynamically generated child resource from me. (inherited from `Resource`)
| ``getDynamicEntity`(self, name, request)` Subclass this to generate an entity on demand. (inherited from `Resource`)
| ``getEntity`(self, name, request)` Retrieve an entity from me. (inherited from `Collection`)
| `getEntityType(self)` (inherited from `ConfigCollection`)
| `getNameType(self)` (inherited from `ConfigCollection`)
| ``getStaticEntity`(self, name)` Get an entity that was added to me using putEntity.
| ``listDynamicEntities`(self, request)` A list of all name, entity that I can generate on demand. (inherited from `Resource`)
| ``listDynamicNames`(self)` Retrieve a list of the names of entities that I store references to. (inherited from `Resource`)
| `listEntities(self)` (inherited from `Resource`)
| `listNames(self)` (inherited from `Resource`)
| ``listStaticEntities`(self)` Retrieve a list of all name, entity pairs that I store references to.
| ``listStaticNames`(self)` Retrieve a list of the names of entities that I store references to. (inherited from `Resource`)
| ``nameConstraint`(self, name)` A method that determines whether an entity may be added to me with a given name. (inherited from `Constrained`)
| ``putChild`(self, path, child)` Register a static child. (inherited from `Resource`)
| ``putEntity`(self, name, entity)` Store an entity if it meets both constraints. (inherited from `Constrained`)
| `reallyPutEntity(self, name, entity)` (inherited from `Resource`)
| ``removeEntity`(self, name, request)` Remove an entity for 'name', based on the content of 'request'. (inherited from `Collection`)
| ``removeHost`(self, name)` Remove a host.
| ``render`(self, request)` Implementation of resource.Resource's render method.
| ``storeEntity`(self, name, request)` Store an entity for 'name', based on the content of 'request'. (inherited from `Collection`)
| ``_getResourceForRequest`(self, request)` (Internal) Get the appropriate resource for the given host.

Class Variable Summary
`NoneType` | `default`

Method Details

### __init__(self)
(Constructor)

Initialize.

### addHost(self, name, resrc)

Add a host to this virtual host.

This will take a host named `name', and map it to a resource `resrc'. For example, a setup for our virtual hosts would be:

       nvh.addHost('divunal.com', divunalDirectory)
       nvh.addHost('www.divunal.com', divunalDirectory)
       nvh.addHost('twistedmatrix.com', twistedMatrixDirectory)
       nvh.addHost('www.twistedmatrix.com', twistedMatrixDirectory)

### getChild(self, path, request)

Implementation of resource.Resource's getChild method.

### getStaticEntity(self, name)

Get an entity that was added to me using putEntity.

This method will return 'None' if it fails.

  Overrides:
    `twisted.web.resource.Resource.getStaticEntity` (inherited documentation)

### listStaticEntities(self)

Retrieve a list of all name, entity pairs that I store references to.

See getStaticEntity.

  Overrides:
    `twisted.web.resource.Resource.listStaticEntities` (inherited documentation)

### removeHost(self, name)

Remove a host.

### render(self, request)

Implementation of resource.Resource's render method.

### _getResourceForRequest(self, request)

(Internal) Get the appropriate resource for the given host.

Class Variable Details

### default

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 1.1 on Thu May 8 13:19:09 2003 | http://epydoc.sf.net